<?xml version="1.0"?>





<!-- ================================================================





$COPYRIGHT$





$Id: news2document.xsl,v 1.1 2002/09/13 19:35:09 borzy Exp $





Date        Author            Changes


Jul 01 2001 Remus Pereni      Created





================================================================= -->





<xsl:stylesheet


xmlns:xsl="http://www.w3.org/1999/XSL/Transform"


version="1.0">


<xsl:import href="copyover.xsl"/>


<xsl:output method="xml" />



<xsl:param name="today" />


<!-- ====================================================================== -->


<!-- document section                                                       -->


<!-- ====================================================================== -->





<xsl:template match="news">


  <document>


    <xsl:apply-templates select="channel"/>


  </document>


</xsl:template>





<xsl:template match="channel">


  <header>


    <title>HyperPad News</title>





    <authors>


      <person name="Borsos Szabolcs"  email="borzy@nolimits.ro"/>


    </authors>





    <location href="http://spacemapper.sf.net/hyperpad/news.html" />


      


    <date><xsl:value-of select="../date"/></date>  


    <revision><xsl:value-of select="../revision"/></revision>  





  </header>





  <body>


    <s1 title="HyperPad - News">


      <xsl:apply-templates select="item"/>


    </s1>


  </body>


</xsl:template>





<xsl:template match="item">


  <s4 title="{date} - {title}">


    <xsl:apply-templates select="description"/>


    <p>


    <strong><xsl:text>Link: </xsl:text></strong>


    <xsl:copy>


      <xsl:apply-templates select="jump"/>


    </xsl:copy>  


   </p>


  </s4>


</xsl:template>





<xsl:template match="description">


    <xsl:apply-templates />


</xsl:template>








</xsl:stylesheet>