<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet   
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
  version="1.0">

<xsl:output encoding="iso-8859-1"  
  doctype-public='-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd'  
  method="html"/>  

<xsl:template match="DirectoryView">  
<html>
  <head>
    <title><xsl:text>Directory listing: </xsl:text><xsl:value-of select="@url"/></title>
  </head>      
  <body bgcolor="#FFFFFF">
    <p><b><xsl:text>Directory listing: </xsl:text></b><a href="{@url}"><xsl:value-of select="@name"/></a></p> 
    <table border="0" width="100%" cellpadding="1" cellspacing="1" bgcolor="#eeeeff">
      <tr align="left">
        <td width="60%" align="center"><b><xsl:text>Name</xsl:text></b></td>
        <td width="20%" align="center"><b><xsl:text>Length</xsl:text></b></td>
        <td width="20%" align="center"><b><xsl:text>Content Type</xsl:text></b></td>        
      </tr>
      <xsl:apply-templates select="//directory"/>
      <xsl:apply-templates select="//file"/>
    </table>
      <xsl:apply-templates select="//info"/>
  </body>
</html>  
</xsl:template>  

<xsl:template match="directory">
      <tr align="left" bgcolor="white">
        <td width="60%"><a href="{@url}"><xsl:value-of select="@name"/></a></td>
        <td width="20%"></td>
        <td width="20%"></td>
      </tr>  
</xsl:template>


<xsl:template match="file">
      <tr align="left" bgcolor="white">
        <td width="60%"><a href="{@url}"><xsl:value-of select="@name"/></a></td>
        <td width="20%"><b><xsl:value-of select="@length"/></b></td>
        <td width="20%"><i><xsl:value-of select="@contentType"/></i></td>
      </tr>  
</xsl:template>


<xsl:template match="info">
    <center>
      <font color="#999999"><xsl:value-of select="."/></font>
    </center>
</xsl:template>

</xsl:stylesheet>
