@echo off

rem Uncomment the line bellow and set the proper value
rem set MN8_HOME=c:\opt\mn8

rem Uncomment the line bellow and set the proper value
rem set JAVA_HOME=c:\jdk

if not "%JAVA_HOME%"=="" goto found_java
echo.
echo ERROR: JAVA_HOME not found in your environment.
echo Please, set the JAVA_HOME variable in your environment to match the
echo location of the Java Virtual Machine you want to use.
echo.
goto end

:found_java
if not "%MN8_HOME%"=="" goto found_mn8
echo.
echo ERROR: MN8_HOME not found in your environment.
echo Please, set the MN8_HOME variable in your environment to match the
echo location of the mn8 interpreter you want to use.
echo.
goto end

:found_mn8
set LOCALCLASSPATH=%CLASSPATH%;%MN8_HOME%\mn8-0.7a.jar
for %%i in ("%MN8_HOME%\lib\*.jar") do call "%MN8_HOME%\lcp.bat" %%i

if not "%OS%"=="Windows_NT" goto win9xStart

if "%eval[2+2]" == "4" goto setup4NT
 
set MN8_CMD_LINE_ARGS=%*
goto doneStart
 
:setup4NT
set MN8_CMD_LINE_ARGS=%$
goto doneStart

:win9xStart
set MN8_CMD_LINE_ARGS=
 
:setupArgs
if %1a==a goto doneStart
set MN8_CMD_LINE_ARGS=%MN8_CMD_LINE_ARGS% %1
shift
goto setupArgs

:doneStart
%JAVA_HOME%\bin\java -Xms30m  -Dnetwork.proxy.http=192.168.1.22 -Dnetwork.proxy.port=3128 -cp %MN8_HOME%\build\classes\main;%MN8_HOME%;%LOCALCLASSPATH% org.media.mn8.Main %MN8_CMD_LINE_ARGS%

:end
